Bug 243852 - www/mod_evasive: Marked as broken: unfetchable in error
Summary: www/mod_evasive: Marked as broken: unfetchable in error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-03 19:59 UTC by Danny McGrath
Modified: 2020-03-25 22:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kiwi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danny McGrath 2020-02-03 19:59:19 UTC
Hi,

It seems like www/mod_evasive is still available just fine in the url that the package gives (https://github.com/jzdziarski/mod_evasive), which is causing poudriere to give up on building:

[00:00:33] [01] [00:00:00] Building www/mod_evasive | ap24-mod_evasive-1.10.1_1
[00:00:33] [01] [00:00:00] Finished www/mod_evasive | ap24-mod_evasive-1.10.1_1: Ignored: is marked as broken: unfetchable

Can you also please not forget to merge this to 2020Q1? Thanks!
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-02-04 02:27:36 UTC
portsjail% pwd  
/home/linimon/ports/default/www/mod_evasive
portsjail% make patch
===>  License GPLv2 accepted by the user
===>   ap24-mod_evasive-1.10.1_1 depends on file: /usr/local/sbin/pkg - found
=> mod_evasive_1.10.1.tar.gz doesn't seem to exist in /home/linimon/ports/default/distfiles/apache2.
=> Attempting to fetch http://www.zdziarski.com/blog/wp-content/uploads/2010/02/mod_evasive_1.10.1.tar.gz
fetch: http://www.zdziarski.com/blog/wp-content/uploads/2010/02/mod_evasive_1.10.1.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/apache2/mod_evasive_1.10.1.tar.gz
mod_evasive_1.10.1.tar.gz                     100% of   19 kB  383 kBps 00m00s
===> Fetching all distfiles required by ap24-mod_evasive-1.10.1_1 for building
===>  Extracting for ap24-mod_evasive-1.10.1_1
=> SHA256 Checksum OK for apache2/mod_evasive_1.10.1.tar.gz.
===>  Patching for ap24-mod_evasive-1.10.1_1

This is with the latest version from svn.
Comment 2 Danny McGrath 2020-02-04 10:14:35 UTC
My apologies! I didn't realize how you guys were fetching the upstream source in this case. I thought you just didn't realize there was the github version available, which unfortunately only appears to have a download zip for master, which in this particular case is the same version it appears.
Comment 3 commit-hook freebsd_committer 2020-03-25 22:14:40 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Mar 25 22:12:36 UTC 2020
New revision: 529134
URL: https://svnweb.freebsd.org/changeset/ports/529134

Log:
  - Unbreak by using new upstream
    The author restored the working version to github. The version in the
    README is wrong (1.10) but is correct in CHANGELOG (1.10.1).

  PR:		243852
  MFH:		2020Q1

Changes:
  head/www/mod_evasive/Makefile
  head/www/mod_evasive/distinfo